#include "ChallengeViewData.h"


FChallengeViewData::FChallengeViewData()
{
	this->Id = TEXT("");
	this->ChallengeOrder = 0;
	this->Objectives = TMap<FString, FChallengeObjectiveViewData>();
	this->Progression = TMap<FString, FChallengeObjectiveProgressionViewData>();
	this->RewardPoints = 0;
	this->RiftPoints = 0;
	this->RewardPointsProgressionData = FRewardWrapperViewData{};
	this->RiftPointsProgressionData = FRewardWrapperViewData{};
	this->Rewards = TArray<FRewardWrapperViewData>();
	this->ChallengeType = EChallengeType::Basic;
	this->RoleType = EPlayerRole::VE_None;
	this->IsFollowed = false;
	this->IsNew = false;
	this->IsSuggested = false;
	this->Icon = FSoftRemoteContentCacheObjectPtr{};
	this->EventFrameLabel = TEXT("");
}
